//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include "Version.h"
#include <DdeMan.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TMainMenu *MainMenu1;
        TMenuItem *Game;
        TMenuItem *GameNew;
        TMenuItem *N1;
        TMenuItem *GamePodkidnoy;
        TMenuItem *GamePerevodnoy;
        TMenuItem *N2;
        TMenuItem *GameOptions;
        TMenuItem *N3;
        TMenuItem *GameExit;
        TMenuItem *Help;
        TMenuItem *HelpHelp;
        TMenuItem *HelpAbout;
        TToolBar *ToolBar1;
        TToolButton *ToolButton1;
        TImageList *ImageList1;
        TToolButton *ToolButton2;
        TToolButton *ToolButton3;
        TToolButton *ToolButton4;
        TToolButton *ToolButton5;
        TMenuItem *HomePage;
        TTimer *Timer3;
        TToolButton *ToolButton6;
        TMenuItem *ShowTop;
        TStatusBar *SB;
        TToolButton *StartBrain;
        TToolButton *ToolButton7;
        TMenuItem *Synapses;
        void __fastcall GameExitClick(TObject *Sender);
        void __fastcall FRefresh(TObject *Sender);
        void __fastcall GameChangeMode(TObject *Sender);
        void __fastcall GameNewClick(TObject *Sender);
        void __fastcall FormMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall FormMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall FormMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall GameOptionsClick(TObject *Sender);
        void __fastcall HelpAboutClick(TObject *Sender);
        void __fastcall FormDblClick(TObject *Sender);
        void __fastcall HelpHelpClick(TObject *Sender);
        void __fastcall HomePageClick(TObject *Sender);
        void __fastcall Timer3Timer(TObject *Sender);
        void __fastcall FormResize(TObject *Sender);
        void __fastcall ShowTopClick(TObject *Sender);
        void __fastcall StartBrainClick(TObject *Sender);
        void __fastcall SynapsesClick(TObject *Sender);
private:	// User declarations
        void __fastcall MyIdleHandler(TObject *Sender, bool &Done);
        void PutCardOnTable(int Num,char Card);
        void PutYourCards();
        void PutCompCards();
        void PutKoloda();
        void CloseGame();
        char GetDost(char Num);
        char GetMast(char Num);
        char GetMastOld(char Num);        
        void GiveCards();
        void CompGive();
        void YouGive();
        void Sorting();
        void Statistic();
        void DrawYourCards();
        void DrawYourRect();
        void ShowButton();
        void DrawBitoRect();
        bool CanTurn(char Card,int WhoSend);
        bool CanGive(char Card,int WhoSend);
        void ResetCards();
        void TableDrawFocusRect(int Num, bool Draw);
        void DrawTableCards();
        void GenerateCompTurn();
        void DrawButton(char Mode);
        void NextSesssion();
        void DoBito();
        void CompAdd();
        void MyDraw(int X, int Y, Graphics::TBitmap *BM);
        int HowMuchCanAdd(int WW);
        void DrawCompCards(int Num);
        void DoCompMove(int Num);
        void DoHumanTake();
        void ClearTable();
        void DoCompTake();
        void DoRazdacha();
        void HideButton();
        bool GameOver();
        int ComputerGive();
        int ComputerCard();
        int ComputerDefence();
        void RemoveFromTaked();
        void MakeShadow();
        void UpperCards();
        int Accident(int CardDost);
        void ClearAll();
        void AnimateCard();
        void ContunueGameOrNot();
        void SecondDelay();
        void RedrawAll();
        void TestUserAddCardInBegin();
        void TestCompAddCardInBegin(int t);
        int  BrainCard(int G);//    
        void FormatNeurons();
        float FormatCardMast(char TCard,char Kozir);// 
        float FormatCardDost(char TCard);
        void EnterSummary(int Who,bool GIVE,bool Adding);
        void SaveToInfoFile(char Card,bool GIVE,bool Adding);
        void TryToUpdateWeight();
        void RemoveFromCompTaked();
public:		// User declarations
        void UpdateWeight();
        void PutCaption();
        Graphics::TBitmap *Buffer[TotalCards];//  
        void LoadImageFaceOff(bool flag);
        void DoDelayAnimate();
        void ApplyOptions();
        String Ver;
        int Wins,Loses,Games;// , , 
        bool CSort;// 
        bool RRight;// 
        bool RLeft;// 
        bool Mast;//  
        bool Dost;//  
        bool Statist;// 
        bool Animate;// 
        bool MyHint;// 
        int FRAMES;// 
        bool QStart;//  ( )
        bool Sound;//   
        bool MyCursor;//  
        bool ExeptKozir;//      
        bool BlinkCard;//  
        bool OneByOne;//    
        bool DynamicFocus;//   
        bool Hilighting;//  
        bool ColorCursor;// 
        bool CloseForm;// -   
        bool ToolBar;//  ?
        bool AreaAutoSize;//  ?
        int Level;// 
        bool RealButton;//     ,,
        bool Warning;//    
        bool EnableFirst;//   
        bool CanOneByOne;//      
        int TotalWins[10];// 
        int TotalLoses[10];// 
        int TotalGames[10];// 
        String TotalNames[10];// 
        bool NewStatistic;//    
        bool ColoredBG;// - 
        bool FileBG;// - 
        bool ShowTop10;//    
        bool SeveralCards;//     
        TColor BGColor;// 
        String UserName;
        String Company;
        String WindowsVersion;
        AnsiString History;// 
        AnsiString FileName;
        AnsiString FileBgGround;//  
        AnsiString DurHelpFile;
        String MyPath;// 
        bool AutoGame;//  
        Graphics::TBitmap *MyBackGround;//
        int AnimateDelay;// 
        void ReadOptions();
        void WriteOptions();
        void CardsGoToComp();
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
