//--------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit2.h"
//#include <math.h>
//#include <math.hpp>
#include <fastmath.h>
#pragma package(smart_init)
//---------------------------------------------------------------------------

//   Important: Methods and properties of objects in VCL can only be
//   used in a method called using Synchronize, for example:
//
//      Synchronize(UpdateCaption);
//
//   where UpdateCaption could look like:
//
//      void __fastcall Unit2::UpdateCaption()
//      {
//        Caption = "Updated in a thread";
//      }
const float OFFSET=0.5;//  
const int TEN=10;


#define In2        215    /* number if inputs char*/
#define In         In2*2  /* number if inputs float*/
#define Out        15     /* number of outputs */
#define Hidden     In     /* number of hidden units */

float Weight[2][In][In];// -   
float OldWeight[2][In][In];// -   
unsigned int NN[3]={In,Hidden,Out};//   
float Neuron[3][In];//
unsigned int Lens;
unsigned int Len[40];//   (   24)
float Exit[Out];
float Error[2][Hidden];

const int StartFile=125;
const int StartFileW=123;
const int TempStartFileW=174;
unsigned int TCorrectAnsw;
//---------------------------------------------------------------------------

__fastcall TNeuralNet::TNeuralNet(bool CreateSuspended)
        : TThread(CreateSuspended)
{
TCorrectAnsw=0;
PBP=false;
}

//---------------------------------------------------------------------------
void __fastcall TNeuralNet::Execute()
{
for(;;){

NU=TAlfa;

if(!NumTrains){Suspend();continue;}
InitWeight();
if(NeedToLearn()){//    
  FileClose(FileWgt);//  ,     
  FileWgt=-1;//,    
  Status=0;
  Suspend();
  continue;
}
else
  if(NeedToInit)InitWeight();//   
  else LoadTempWeight();//  

Alfa=TMomentum;      /* momentum */
Learn=0.1;
CorrectAnsw=0;
MaxErr=0;
StartTime=time(NULL);
Train=0;
//float Recognize=1/float(Out+1);
float MiddleError;//  
Direcrion=true;
CrossTest=true;
unsigned int t1;
float TLearn=Learn;
bool First=true;
//unsigned int CorrAnsw=0;
//unsigned int Kolvo=0;
unsigned int Gosta=0;

 do{
   //--------------------------------------
   char *pMEMORY=Memory;//  
   t1=CorrectAnsw;
   if(!First){
     FileSeek(DBFile,StartFile,0);//     
     Status=1;
     for(unsigned int i=0;i<NumTrains;i++){
       if(*pMEMORY++&&PBP)LoadFromFile();
       else{
         GetEnterNeurons();
         Propagate();
         CurrentError=FindError();// 
         if(!TestAnswer())CorrectWeights();// 

         Application->ProcessMessages();
       }
       CurrentPosition=i+1;
     }
   }
   First=false;
   //--------------------------------------
   // 
   Gosta++;
   //--------------------------------------
   unsigned int t2;
   float MaximaError;
   for(int zz=0;zz<2;zz++){
     pMEMORY=Memory;//  
     Status=2;
     MiddleError=0;
     t2=0;
     FileSeek(DBFile,StartFile,0);//     
     MaximaError=0;
     for(unsigned int i=0;i<NumTrains;i++)// 
       if(PBP&&*pMEMORY&&!zz){LoadFromFile();t2++;pMEMORY++;}
       else{
         GetEnterNeurons();
         Propagate();

         CurrentError=FindError();
         if(CurrentError>MaximaError)MaximaError=CurrentError;

         if(TestAnswer()){t2++;*pMEMORY++=1;}// 
         else *pMEMORY++=0;//  

         MiddleError+=CurrentError;
         CurrentPosition=i+1;
       }

     if(NumTrains!=t2){if(!PBP)Train++;break;}//  
     else{Learn=TLearn;Train++;Gosta=0;}
   }
   //--------------------------------------
   if(t2>((2*NumTrains)/3)){TLearn=Learn;PBP=true;}//     
   else {PBP=false;}


   MaximumError=MaximaError;//  
   MiddleError/=NumTrains;//  
   // 
   if(t2>=t1){if(PBP&&t2==t1||!PBP&&t2>t1)Learn*=TSpeedUpMom;Direcrion=true;}else{if(Gosta>1||!PBP)Learn*=TSpeedDownMom;Direcrion=false;Gosta=0;}
   if(Learn>0.1)Learn=0.1;
   MaxErr=MiddleError;//     1
   CorrectAnsw=t2;//  
 }
 while(CorrectAnsw<NumTrains);// 


SaveFile(FileWgt,StartFileW);// 
FileClose(FileWgt);//  ,     
FileWgt=-1;//,    
Status=0;// 
Suspend();
}
}
//---------------------------------------------------------------------------
float TNeuralNet::FindError(){
  float e=0;// 
  for(int j=0;j<Out;j++){
    float tt=Exit[j]-Neuron[2][j];
    e+=tt*tt;
  }
  return(e/2);
}
////////----------------------------
float TNeuralNet::Sigmoid(float x){
if(x>TMaxSum)return(OFFSET);
else if(x<(-TMaxSum))return(-OFFSET);
else if(_fm_fabs(x)<10e-5)return(0);
return(-OFFSET+1/(1+_fm_exp(-x)));
}
////////----------------------------
void TNeuralNet::Propagate(){

   Neuron[0][0]=1;//
   for(unsigned int j=0;j<NN[1];j++){
    float Sum=0;
    int Lens=1;
    for(unsigned int i=0;i<NN[0];){
      if(!Neuron[0][i]){if(Len[Lens]>i)i=Len[Lens++];continue;}
      Sum+=Neuron[0][i]*Weight[0][i][j];
      i++;
    }
    Neuron[1][j]=Sigmoid(Sum*NU);
   }


   Neuron[1][0]=1;//
   for(unsigned int j=0;j<NN[2];j++){
    float Sum=0;
    for(unsigned int i=0;i<NN[1];i++)
      Sum+=Neuron[1][i]*Weight[1][i][j];
    Neuron[2][j]=Sigmoid(Sum*NU);
   }


/*
  for(int k=0;k<2;k++){
  Neuron[k][0]=1;//
  for(int j=0;j<NN[k+1];j++){
   float Sum=0;
   for(int i=0;i<NN[k];i++)
     Sum+=Neuron[k][i]*Weight[k][i][j];

//   Sum*=NU;
//   if(Sum>TMaxSum)Sum=TMaxSum;
//   else if(Sum<(-TMaxSum))Sum=-TMaxSum;
//   Neuron[k+1][j]=-OFFSET+1/(1+_fm_exp(-Sum));
   Neuron[k+1][j]=Sigmoid(Sum*NU);
  }
 }

*/

}
//--------------------------------------------------------
float TNeuralNet::dxSigmoid(float y){
const float OFFSETdx=OFFSET*OFFSET+OFFSET;
float result=TMinProiz+NU*(OFFSETdx-y*y+y);// 
return(result);
}
//--------------------------------------------------------
void TNeuralNet::CorrectWeights(){//  - 
//------------------  
 for(unsigned int j=0;j<NN[2];j++)// 
   Error[1][j]=Neuron[2][j]-Exit[j];

 for(unsigned int i=0;i<NN[1];i++){// 
   Error[0][i]=0;
   for(unsigned int j=0;j<NN[2];j++)
     Error[0][i]+=Weight[1][i][j]*Error[1][j]*dxSigmoid(Neuron[2][j]);
 }
//-------------  
 int Lens=1;
 for(int k=1;k>=0;k--)
   for(unsigned int i=0;i<NN[k];){
     if(!k&&!Neuron[0][i]){if(Len[Lens]>i)i=Len[Lens++];continue;}
     for(unsigned int j=0;j<NN[k+1];j++){
       float temp=-Learn*(Neuron[k][i]*Error[k][j]*dxSigmoid(Neuron[k+1][j]));

       Weight[k][i][j]+=temp+Alfa*OldWeight[k][i][j];
       OldWeight[k][i][j]=temp;
     }
     i++;
   }
}
//--------------------------------------------------------
void TNeuralNet::LoadFromFile(){
char Enter[210];
char Nums;

FileRead(DBFile,&Nums,1);
FileRead(DBFile,&Enter,Nums+1);
}
//--------------------------------------------------------
void TNeuralNet::GetEnterNeurons(){
char Enter[210];
unsigned char Nums;

FileRead(DBFile,&Nums,1);
FileRead(DBFile,&Enter,Nums+1);

for(int i=0;i<In;i++)Neuron[0][i]=0;//   
for(int i=0;i<Out;i++)Exit[i]=-OFFSET;// 

char t=Enter[Nums];
if(t==37){Exit[0]=OFFSET;Exit[14]=OFFSET;}//  
else{//  
  Exit[GetDost(t)]=OFFSET;
  Exit[GetMast(t)+TEN]=OFFSET;
}


const float VerySmall=0.00000001;//    ,   , .    backprop
for(int i=0;i<2;i++)
  if(Enter[i])Neuron[0][i+1]=1/float(Enter[i]);else Neuron[0][i+1]=VerySmall;//    (float)

unsigned int p=3;
int j=1;//  ,  =1
int z=5;//     
Lens=0;
for(unsigned char i=2;i<Nums&&p<NN[0];i++)
  if(j){
    if(Enter[i]){
      Neuron[0][p++]=FormatCardMast(Enter[i],Enter[2]);
      Neuron[0][p++]=FormatCardDost(Enter[i]);
    }
    else{
      p+=2;
      Len[Lens++]=p;
    }

    j--;
  }
  else{
    p=z;
    z+=73;//       
    Len[Lens++]=p;
    j=Enter[i];

    if(j)Neuron[0][p]=1/float(j);//  -  
    p++;
  }
}
//---------------------------------------------------------------------------

float TNeuralNet::FormatCardMast(char TCard,char Kozir){// 
if(!TCard)return(0);

float result=GetMast(TCard);
if(result==GetMast(Kozir))result=3;
else
  if(result==3)result=GetMast(Kozir);
result++;

return(1/result);
}
//----------------------------------------------------------
float TNeuralNet::FormatCardDost(char TCard){// 
if(!TCard)return(0);

float result=GetDost(TCard);
return(1/result);
}
//----------------------------------------------------------
void TNeuralNet::InitWeight(){// 
  randomize();

  int NP=TMaxWei*200;
  for(int k=0;k<2;k++)
    for(int i=0;i<In;i++)
     for(int j=0;j<In;j++) {
       Weight[k][i][j]=0;
       while(!Weight[k][i][j])
         Weight[k][i][j]=-TMaxWei+float(random(NP))/100;
       OldWeight[k][i][j]=-TMaxWei+float(random(NP))/100;
     }
}
//----------------------------------------------------------
void TNeuralNet::Test(){
CorrectAnsw=0;
FileSeek(DBFile,StartFile,0);//     
for(unsigned int i=0;i<NumTrains;i++){// 
  GetEnterNeurons();
  Propagate();

  if(TestAnswer())CorrectAnsw++;
}

}
//----------------------------------------------------------
bool TNeuralNet::NeedToLearn(){
unsigned int WeiNumTrains=LoadFile(FileWgt,StartFileW);//  
if(!WeiNumTrains)return(false);
Status=3;// 
if(WeiNumTrains==NumTrains){
  Test();
  if(NumTrains==CorrectAnsw)return(true);
  else return(false);
}
else return(false);
}
//----------------------------------------------------------
unsigned int TNeuralNet::LoadFile(int FILE,int START){
unsigned int WeiNumTrains;
Status=4;// 
FileSeek(FILE,START,0);//     
if(FileRead(FILE,&WeiNumTrains,sizeof(WeiNumTrains))<sizeof(WeiNumTrains))return(0);//      
FileRead(FILE,&NU,sizeof(NU));// NU
double Sum=0,TSum;
for(int k=0;k<2;k++)
  for(unsigned int j=0;j<NN[k+1];j++)
    for(unsigned int i=0;i<NN[k];i++){
      if(FileRead(FILE,&Weight[k][i][j],4)<4)return(0);// 
      Sum+=Weight[k][i][j]+k+i+j;
    }
FileRead(FILE,&TSum,sizeof(TSum));//  
FileRead(FILE,&TCorrectAnsw,sizeof(TCorrectAnsw));//  

if(TSum!=Sum)return(0);//   
if(WeiNumTrains)return(WeiNumTrains);
else return(0);
}
//----------------------------------------------------------
void TNeuralNet::SaveFile(int FILE,int START){
Status=0;// 
FileSeek(FILE,START,0);//     
FileWrite(FILE,&NumTrains,sizeof(NumTrains));//    
FileWrite(FILE,&NU,sizeof(NU));// NU
double Sum=0;
for(int k=0;k<2;k++)
  for(unsigned int j=0;j<NN[k+1];j++)
    for(unsigned int i=0;i<NN[k];i++){
      FileWrite(FILE,&Weight[k][i][j],4);// 
      Sum+=Weight[k][i][j]+k+i+j;
    }
FileWrite(FILE,&Sum,sizeof(Sum));// 
FileWrite(FILE,&CorrectAnsw,sizeof(CorrectAnsw));//  
}
//----------------------------------------------------------
void TNeuralNet::LoadTempWeight(){
Alfa=TMinMom;
if(LoadFile(TempFileWgt,TempStartFileW))return;
InitWeight();
}
//----------------------------------------------------------
void TNeuralNet::SaveTempWeight(){
if(CorrectAnsw>0)
  SaveFile(TempFileWgt,TempStartFileW);
}
//----------------------------------------------------------
bool TNeuralNet::TestAnswer(){//        
float t1=-OFFSET,t2=-OFFSET;
int N1=-1,N2=-1;

for(int i=0;i<TEN;i++)//  
  if(Neuron[2][i]>t1){t1=Neuron[2][i];N1=i;}
for(int i=TEN;i<Out;i++)//  
  if(Neuron[2][i]>t2){t2=Neuron[2][i];N2=i;}

if(N1<0||N2<0)return(false);
else if(Exit[N1]==OFFSET&&Exit[N2]==OFFSET)return(true);else return(false);
}
//----------------------------------------------------------


